Skip to main content
GET
/
v1
/
issue
List issues
curl --request GET \
  --url https://api.roark.ai/v1/issue \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source": "TREND_ALERT",
      "title": "<string>",
      "summary": "<string>",
      "severity": "LOW",
      "status": "OPEN",
      "fingerprint": "<string>",
      "eventCount": 123,
      "lastEventAt": "<string>",
      "openedAt": "<string>",
      "resolvedAt": "<string>",
      "assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "evidence": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "chatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "observedAt": "<string>"
        }
      ],
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "hasMore": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.roark.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>

Lifecycle state

Available options:
OPEN,
ACKED,
RESOLVED
source
enum<string>

Who opened the issue

Available options:
TREND_ALERT,
SINGLE_CALL_ALERT,
TRACE_FAILURE,
MANUAL,
API,
AGENT
severity
enum<string>

Coarse priority — LOW / MEDIUM / HIGH / CRITICAL

Available options:
LOW,
MEDIUM,
HIGH,
CRITICAL
limit
integer
default:20

Maximum number of issues to return (default: 20, max: 100)

Required range: 1 <= x <= 100
offset
integer
default:0

Pagination offset

Required range: x >= 0

Response

List of issues

data
object[]
required
pagination
object
required